#pragma once
#include "wimp.h"

namespace rov2
{

/*! Defines a class for a clickable object*/
class CClickable
{
public:
  /*! Called when something is clicked on the window
  \param rkmcbClickBlock The mouse click block request
  \return True if the click was handled; otherwise control passes to the next item
  */
  virtual bool Clicked(const tMouseClickBlock& rkmcbClickBlock) { return false; }
};
}